

package gov.va.med.cds.clinicaldata.vhim400;


import org.dom4j.Document;


public interface PathwaysDataResponseInterface
extends ClinicalDataResponseInterface
{

    public Document buildEmptyPathwaysDocumentWithPatient( String templateId, String requestId );

    public Document buildEmptyPathwaysDocumentWithoutPatient( String templateId, String requestId );
    
    public Document buildEmptyPathwaysDocumentWithPatient( String templateId, String requestId, String clientName, String clientReqTime );

    public Document buildEmptyPathwaysDocumentWithoutPatient( String templateId, String requestId, String clientName, String clientReqTime );

}
